body {
    overflow: hidden;
    background-color: #e0e0e0;
    margin: 0;
    padding: 0;
}

.hidden{
    display: none;
}


#car-selection {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

#car-dropdown {
    font-size: 16px;
    padding: 5px;
    margin-bottom: 10px;
}

#car-preview {
    width: 150px;
    height: auto;
    margin-bottom: 10px;
}



#start-screen {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    background-color: #f0f0f0;
    color: #333;
    font-family: 'Arial', sans-serif;
    text-align: center;
    background-image: url(../assets/start-background.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-color: #d0d0d0;
    background-blend-mode: multiply;
}

#start-screen button {
    padding: 10px 20px;
    font-size: 18px;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

#start-screen button:hover {
    background-color: #45a049;
    padding: 12px 22px;
    transition: padding 0.1s ease-out;
}

#start-screen h1 {
    font-size: 36px;
    margin-bottom: 20px;
    color: #333;
}

#start-screen p {
    font-size: 18px;
    margin-bottom: 40px;
    color: #555;
}

#end-screen{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    background-color: #f0f0f0;
    color: #333;
    font-family: 'Arial', sans-serif;
    text-align: center;
    background-image: url(../assets/start-background.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-color: #d0d0d0;
    background-blend-mode: multiply;
}

#play-again{
    padding: 10px 20px;
    font-size: 18px;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

#play-again:hover{
    background-color: #45a049;
    padding: 12px 22px;
    transition: padding 0.1s ease-out;
}




#game-container {
    padding: 0;
    margin: 0;
}

#info-container {
    margin-left: 5vw;
    font-size: 1.5vw;
    font-family: sans-serif;
    max-width: 65vw;
}


#options-list li:hover {
    background-color: #ddd;
}

#options-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    grid-gap: 10px;
    list-style-type: none;
    padding: 0;
}

#curr-question p {
    font-size: 2vw;
    margin: 0.5em 0;
}

#options-list li {
    font-size: 1.5vw;
    margin: 0px;
    padding: 0.5em;
    cursor: pointer;
    background-color: #f5f5f5;
    border-radius: 5px;
    transition: background-color 0.3s;
}

#track {
    overflow: hidden;
    position: relative;
    background-image: url(../assets/track_with_lines.png);
    margin-top: 5vw;
    margin-left: 5vw;
    --width : 90vw;
    width: var(--width);
    height: calc(var(--width) * 1095 / 4400);
    background-size: cover;
    background-repeat: no-repeat;
}

.car {
    position: relative;
    height: 3vw;
    background-size: contain;
    background-repeat: no-repeat;
    left: 0;
    transition: margin-left 1.5s ease;
}

#car-red {
    background-image: url('../assets/red_car.png');
    margin-top: 2.2vw;
}
#car-blue {
    background-image: url('../assets/blue_car.png');
    margin-top: 2vw;
}
#car-yellow {
    background-image: url('../assets/yellow_car.png');
    margin-top: 2vw;
}
#car-white {
    background-image: url('../assets/white_car.png');
    margin-top: 2vw;
}


